Subject: Bizarrerie...

From: Damien PALLANT <[email-masked]>
Date: Fri, 22 Apr 2011 19:37:52 +0200

Bonjour à tous,

il y a des jours, quand çà veut pas, çà veut pas... Je n'arrive pas à
m'expliquer pourquoi dans la première mesure LilyPond arrive à grouper le si
bémol croche de la première voix avec le si bémol blanche pointée de la
deuxième voix alors qu'il ne le fait pas dans la deuxième tout en donnant un
résultat graphique trop groupé à mon goût. Alors si vous avez une
explication à me donner je suis preneur.

Merci d'avance.

Damien

\new Staff {
\key ees \major
\clef treble
\override Staff.NoteCollision #'merge-differently-headed = ##t
\override Staff.NoteCollision #'merge-differently-dotted = ##t

\relative c' {

<< { r8 g ( bes d-3 ) f4-5 -- ees-4 -- } \\ { s8 g,~ <g bes>2. } >>
<< { r8 aes ( bes ees-4 ) f4-5 -- ees-4 -- } \\ { s8 aes,~ <aes bes>2. } >>
 }
}

---

From: Valentin Villenave <[email-masked]>
Date: Sat, 23 Apr 2011 01:09:59 +0200

> explication à me donner je suis preneur.

Explication simple quoique peu satisfaisante : c'est un bug.

http://code.google.com/p/lilypond/issues/detail?id=984

Cordialement,
V. Villenave.

---

From: Damien <[email-masked]>
Date: Fri, 22 Apr 2011 23:57:18 -0700 (PDT)

Pour contrer ce bug, j'ai comme idée d'appliquer la parade suivante en jouant
sur la transparence de tête de note dans le cas d'une croche sur une blanche
par exemple. Pour le déplacement je joue sur la propriété hshift du
NoteColumn. C'est juste un poil bourrin. Voyez-vous une autre solution ?

<< { r8 aes ( \once \override NoteHead #'transparent = ##t \once \override
NoteColumn #'force-hshift = #.725 bes ees-4 ) f4-5 -- ees-4 -- } \\
{ s8 aes,~ <aes bes>2. } >>

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Bizarrerie-tp6297647p6298988.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: Eluze <[email-masked]>
Date: Sat, 23 Apr 2011 08:18:56 -0700 (PDT)

Damien wrote:
> 
> Pour contrer ce bug, j'ai comme idée d'appliquer la parade suivante en
> jouant sur la transparence de tête de note dans le cas d'une croche sur
> une blanche par exemple. Pour le déplacement je joue sur la propriété
> hshift du NoteColumn. C'est juste un poil bourrin. Voyez-vous une autre
> solution ?
> 
non, pas vraiment. et comme il s'agit d'un bug ça ne vaut pas la peine de
chercher plus loin - la solution est bonne.
je metterais tout juste un petit commentaire dans le code pour te souvenir
dans 2-3 mois (ou 2-3 années) pourquoi tu avais mis ce drôle de code...

Eluze

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Bizarrerie-tp6297647p6299589.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: Éditions IN NOMINE<[email-masked]>
Date: Mon, 25 Apr 2011 11:26:27 +0200

Arrrgh agaçççççççant !  >:o
Désolé, j'y arrive pas ... pour l'instant ! MOn dieu que c'est agaçççççant !

JMarc

Damien PALLANT a écrit :
> m'expliquer pourquoi dans la première mesure LilyPond arrive à grouper 
> le si bémol croche de la première voix avec le si bémol blanche 
> pointée de la deuxième voix alors qu'il ne le fait pas dans la 
> deuxième tout en donnant un résultat graphique trop groupé à mon goût. 
> Alors si vous avez une explication à me donner je suis preneur.
>
> Merci d'avance.
>
> Damien
>
> \new Staff {
> \key ees \major
> \clef treble
> ------------------------------------------------------------------------
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: Éditions IN NOMINE<[email-masked]>
Date: Tue, 26 Apr 2011 09:28:47 +0200

En attendant, tu ne peux pas essayer de faire stencil = ##f sur noteHead 
et Stem sur la croche qui gène ? J'ai essayé chez moi, mais j'ai un 
message d'erreur que je ne comprends pas... je te laisse le soin de 
faire fonctionner cette solution provisoire !

Sinon, je ne comprends vraiment pas pourquoi ça ne marche pas...

Bon courage !
JMarc